Bug 6054 - printer location queried too often
printer location queried too often
Product: Samba 3.2
Classification: Unclassified
Component: Printing
Other Linux
: P3 normal
: ---
Assigned To: Gerald (Jerry) Carter
Samba QA Contact
Depends on:
  Show dependency treegraph
Reported: 2009-01-19 03:59 UTC by Arkadiusz Miskiewicz
Modified: 2009-01-23 01:38 UTC (History)
0 users

See Also:


Note You need to log in before you can comment on or make changes to this bug.
Description Arkadiusz Miskiewicz 2009-01-19 03:59:53 UTC
This patch is missing in action. It was supposed to be applied long time ago but this never happened:

http://lists.samba.org/archive/samba-technical/2007-December/057052.html (with a updated patch)

THe problem is still present.
Comment 1 Jeremy Allison 2009-01-21 19:57:24 UTC
Have you checked the latest code here in the 3-2-test git branch (what will become 3.2.8) ? The printer location should be queried much less in this branch than the 3.0.x codebase - and very rarely in a loop iterating over all printers.
I'm not convinced this change is needed (and it needs updating for the async printcap query code anyway).
Let me know, if you still think it's a problem I'll update the code for the async case and apply.
Comment 2 Arkadiusz Miskiewicz 2009-01-22 07:15:59 UTC
Hmm, I probably should write "The patch is still missing" instead of "The problem is still present" because a friend tested 3.2.7 in big setup and according to him the problem looks as fixed.

I think that this bug can be closed for now and if the problem becomes visible again I'll reopen.

Comment 3 Karolin Seeger 2009-01-23 01:38:11 UTC
Closing out bug report.

Thanks for reporting!